Subject: Re: bug#42423: icedtea: JAVA_HOME

From: Julien Lepiller <[email-masked]>
Date: Sun, 19 Jul 2020 06:29:06 -0400

Le 19 juillet 2020 01:09:52 GMT-04:00, Christopher Howard <[email-masked]> a écrit :
>Hi, I'm not going to pretend to be a Java expert, but I was trying to
>build and run a Java application, and had to set JAVA_HOME manually. It
>is my understanding from my research[1] that applications often will
>want JAVA_HOME set to the path to the java install directory. It would
>seem like it would be useful if Guix set that as well for the icedtea
>and icedtea:jdk package.
>
>If there are good reasons for that not to be, perhaps more
>knowledgeable individuals will explain it.
>
>One part I'm not quite sure about is what JAVA_HOME would be set to if
>both icedtea and icedtea:jdk were installed.
>
>[1] Many JAVA_HOME results in a Startpage.com search

icedtea being a subset of icedtea:jdk, you can't install both in the same profile anyway.